# Request EOR Contract Resignation

POST https://api.letsdeel.com/rest/v2/eor/{oid}/terminations/resignation
Content-Type: application/json

Enable clients with group admin and people manager permissions to initiate a resignation request for an Employee of Record (EOR) contract within their team.
 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-terminations/create-resignation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/{oid}/terminations/resignation:
    post:
      operationId: create-resignation
      summary: Request EOR Contract Resignation
      description: >-
        Enable clients with group admin and people manager permissions to
        initiate a resignation request for an Employee of Record (EOR) contract
        within their team.
         **Token scopes**: `contracts:read`, `contracts:write`
      tags:
        - subpackage_eorTerminations
      parameters:
        - name: oid
          in: path
          description: Public contract oid
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-terminations_createResignation_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems
        '403':
          description: Forbidden response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems
        '404':
          description: Not Found response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataReason:
      type: string
      enum:
        - EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY
        - MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
        - MOVING_EMPLOYEE_TO_DEEL_PEO
        - EMPLOYEE_FOUND_ANOTHER_JOB
        - EMPLOYEE_NOT_HAPPY_WITH_BENEFITS
        - EMPLOYEE_NOT_HAPPY_WITH_SALARY
        - EMPLOYEE_NOT_HAPPY_WITH_THE_ROLE
        - EMPLOYEE_NOT_HAPPY_WITH_COMPANY_CULTURE
        - EMPLOYEE_NOT_HAPPY_WITH_DEEL
        - EMPLOYEE_PROJECT_ENDED
        - EMPLOYEE_SWITCHING_TO_OTHER_EOR_PROVIDER
        - EMPLOYEE_LEFT_ROLE_FOR_PERSONAL_MATTERS
        - EMPLOYEE_MOVING_FROM_EOR_TO_CONTRACTOR_OR_FREELANCE
        - WORKER_TYPE_CHANGE
        - DEEL_COLLECTIONS
        - EMPLOYEE_DID_NOT_TAKE_THE_OFFER
        - EMPLOYEE_PROVIDED_NO_REASON
        - OTHER_BUSINESS_REASONS
      description: Reason why the contract is being terminated
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataReason
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAttachmentsItems:
      type: object
      properties:
        key:
          type: string
        file_name:
          type: string
      required:
        - key
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAttachmentsItems
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsUnit:
      type: string
      enum:
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
        - WEEK
        - MONTH
        - YEAR
      description: Time off unit
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsUnit
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsPolicyType:
      type: string
      enum:
        - Vacation
        - Sick leave
        - Maternity leave
        - Paternity leave
        - Parental leave
        - Bereavement leave
        - Childcare leave
        - Civic/public duty leave
        - Personal leave
        - Adoption leave
        - Blood donation leave
        - Childbirth leave
        - Disability leave
        - Doctor's appointment leave
        - Family & domestic violence leave
        - Hajj leave
        - Marriage/wedding leave
        - Military leave
        - Moving leave
        - Pregnancy leave
        - Study leave
        - Volunteer leave
        - Unpaid leave
        - Paid leave
        - Other leave
        - RTT
        - Regional holiday
        - Breastfeeding leave
        - Advanced vacation
        - Supplementary Leave
        - Floating Holiday Allowance
      description: Time off policy type
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsPolicyType
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems:
      type: object
      properties:
        used:
          type: number
          format: double
          description: Time off used in the period
        end_date:
          type: string
          format: date-time
          description: Time off start period
        start_date:
          type: string
          format: date-time
          description: Time off end period
      required:
        - used
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItems:
      type: object
      properties:
        unit:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsUnit
          description: Time off unit
        policy_type:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsPolicyType
          description: Time off policy type
        tracking_periods:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
        scheduled_until_end_date:
          type: number
          format: double
          description: Time off escheduled until contract end date
      required:
        - unit
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItems
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOff:
      type: object
      properties:
        time_offs:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItems
          description: All time-off used by the employee during contract period
        additional_details:
          type:
            - string
            - 'null'
          description: Any additional details regarding time off that HRX should know
        is_deel_pto_confirmed:
          type: boolean
          description: >-
            Defines whether the client agrees with the time off values that are
            registered in Deel. If false, it means that the client changed the
            values.
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOff
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataSeveranceType:
      type: string
      enum:
        - DAYS
        - WEEKS
        - MONTHS
        - CASH
      description: The type of severance selected by the client. It's an optional field
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataSeveranceType
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAdditionalReason:
      type: string
      enum:
        - MOVING_TO_INTERNAL_ENTITY_WITH_DEEL_GLOBAL_PAYROLL
        - MOVING_TO_INTERNAL_ENTITY_WITH_OTHER_PROVIDER
      description: >-
        An additional reason can be provided in case the reason selected is
        MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAdditionalReason
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataEligibleForRehire:
      type: string
      enum:
        - 'YES'
        - 'NO'
        - DONT_KNOW
      description: >-
        Parameter to inform whether it would be possible for the client to hire
        the employee again
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataEligibleForRehire
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataData:
      type: object
      properties:
        reason:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataReason
          description: Reason why the contract is being terminated
        attachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAttachmentsItems
          description: >-
            Any document that is important for the request to terminate the
            contract
        is_sensitive:
          type: boolean
          description: >-
            Defines whether the termination is sensitive. In this case, only the
            person requesting the termination will be able to view the
            termination, receive emails or notifications.
        reason_detail:
          type: string
          description: Optional field to describe the reason behind the resignation request
        used_time_off:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOff
        severance_type:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataSeveranceType
          description: The type of severance selected by the client. It's an optional field
        desired_end_date:
          type: string
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
        severance_amount:
          type: number
          format: double
          description: The amount of severance needed
        additional_reason:
          oneOf:
            - $ref: >-
                #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAdditionalReason
            - type: 'null'
          description: >-
            An additional reason can be provided in case the reason selected is
            MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
        termination_notes:
          type: array
          items:
            type: string
          description: >-
            Additional notes can be provided regarding the termination for Deel,
            like questions and doubts
        eligible_for_rehire:
          oneOf:
            - $ref: >-
                #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataEligibleForRehire
            - type: 'null'
          description: >-
            Parameter to inform whether it would be possible for the client to
            hire the employee again
        termination_impact_id:
          type: string
          format: uuid
          description: Termination impact data if there is some configured on HR module
        eligible_for_rehire_reason:
          type:
            - string
            - 'null'
          description: Describe if the option DONT_KNOW was selected on eligibleForRehire
        custom_termination_reason_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            Custom termination reason ID. A custom termination reason can be
            added on Client HR module
        is_employee_staying_with_deel:
          type:
            - boolean
            - 'null'
          description: Defines if employee will keep using Deel as provider
      required:
        - reason
        - used_time_off
        - is_employee_staying_with_deel
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataData
    EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataData
      required:
        - data
      title: >-
        EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaData
    EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataTerminationImpact:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          description: Termination impact title
        description:
          type: string
          description: Termination impact description
      description: Custom termination impact data if there is some configured on HR module
      title: >-
        EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataTerminationImpact
    EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire:
      type: string
      enum:
        - 'YES'
        - 'NO'
        - DONT_KNOW
      description: >-
        Parameter to inform whether it would be possible for the client to hire
        the employee again
      title: >-
        EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
    EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestData:
      type: object
      properties:
        reason:
          type:
            - string
            - 'null'
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        reason_detail:
          type:
            - string
            - 'null'
          description: Optional field to describe the reason behind the resignation request
        desired_end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
        termination_impact:
          oneOf:
            - $ref: >-
                #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataTerminationImpact
            - type: 'null'
          description: >-
            Custom termination impact data if there is some configured on HR
            module
        eligible_for_rehire:
          oneOf:
            - $ref: >-
                #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
            - type: 'null'
          description: >-
            Parameter to inform whether it would be possible for the client to
            hire the employee again
        eligible_for_rehire_reason:
          type:
            - string
            - 'null'
          description: Describe if the option DONT_KNOW was selected on eligibleForRehire
        custom_termination_reason_id:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Custom termination reason ID. A custom termination reason can be
            added on Client HR module
      title: >-
        EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestData
    EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: number
          format: double
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        contract_id:
          type: string
          description: Public contract oid
        request_data:
          oneOf:
            - $ref: >-
                #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestData
            - type: 'null'
        desired_end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
      title: >-
        EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaData
    eor-terminations_createResignation_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-terminations_createResignation_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: >-
        EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation"

payload = { "data": { "data": {
            "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
            "used_time_off": {
                "time_offs": [
                    {
                        "unit": "CALENDAR_DAY",
                        "policy_type": "Vacation",
                        "tracking_periods": [
                            {
                                "used": 25,
                                "end_date": "2024-12-31T00:00:00.000Z",
                                "start_date": "2024-01-01T00:00:00.000Z"
                            },
                            {
                                "used": 30,
                                "end_date": "2023-12-31T00:00:00.000Z",
                                "start_date": "2023-01-01T00:00:00.000Z"
                            }
                        ],
                        "scheduled_until_end_date": 5
                    }
                ],
                "additional_details": "Any additional details regarding time off that HRX should know",
                "is_deel_pto_confirmed": True
            },
            "is_employee_staying_with_deel": False
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"data":{"reason":"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY","used_time_off":{"time_offs":[{"unit":"CALENDAR_DAY","policy_type":"Vacation","tracking_periods":[{"used":25,"end_date":"2024-12-31T00:00:00.000Z","start_date":"2024-01-01T00:00:00.000Z"},{"used":30,"end_date":"2023-12-31T00:00:00.000Z","start_date":"2023-01-01T00:00:00.000Z"}],"scheduled_until_end_date":5}],"additional_details":"Any additional details regarding time off that HRX should know","is_deel_pto_confirmed":true},"is_employee_staying_with_deel":false}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation"

	payload := strings.NewReader("{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation', [
  'body' => '{
  "data": {
    "data": {
      "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
      "used_time_off": {
        "time_offs": [
          {
            "unit": "CALENDAR_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              {
                "used": 25,
                "end_date": "2024-12-31T00:00:00.000Z",
                "start_date": "2024-01-01T00:00:00.000Z"
              },
              {
                "used": 30,
                "end_date": "2023-12-31T00:00:00.000Z",
                "start_date": "2023-01-01T00:00:00.000Z"
              }
            ],
            "scheduled_until_end_date": 5
          }
        ],
        "additional_details": "Any additional details regarding time off that HRX should know",
        "is_deel_pto_confirmed": true
      },
      "is_employee_staying_with_deel": false
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["data": [
      "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
      "used_time_off": [
        "time_offs": [
          [
            "unit": "CALENDAR_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              [
                "used": 25,
                "end_date": "2024-12-31T00:00:00.000Z",
                "start_date": "2024-01-01T00:00:00.000Z"
              ],
              [
                "used": 30,
                "end_date": "2023-12-31T00:00:00.000Z",
                "start_date": "2023-01-01T00:00:00.000Z"
              ]
            ],
            "scheduled_until_end_date": 5
          ]
        ],
        "additional_details": "Any additional details regarding time off that HRX should know",
        "is_deel_pto_confirmed": true
      ],
      "is_employee_staying_with_deel": false
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```